Bug 1305118 - XFS support for deferred dio completion
Summary: XFS support for deferred dio completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Brian Foster
QA Contact: Zorro Lang
URL:
Whiteboard:
Depends On:
Blocks: 1313485 1295577 1298684
TreeView+ depends on / blocked
 
Reported: 2016-02-05 17:45 UTC by Brian Foster
Modified: 2016-11-03 15:19 UTC (History)
9 users (show)

Fixed In Version: kernel-3.10.0-354.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 15:19:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC

Description Brian Foster 2016-02-05 17:45:38 UTC
This bug is to track an update required in the XFS dio completion codepath. The XFS dio updates depend on core direct I/O updates, such as the generic deferred completion code. The deferred completion code impacts the interface to other in-tree filesystems and thus also has kabi ramifications that need to be taken into account for the backport.

Comment 3 Matthew Davis 2016-02-12 20:38:59 UTC
Removing private group as it was added by accident. If there are issues, please let me know. Customers have requested access to view the bug and there seems to be no confidential or private information.

Ticket is now public.

Comment 4 Rafael Aquini 2016-03-01 16:12:15 UTC
Patch(es) available on kernel-3.10.0-354.el7

Comment 10 errata-xmlrpc 2016-11-03 15:19:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2574.html


Note You need to log in before you can comment on or make changes to this bug.